textures/japanc-ta/tatami
{
	qer_editorimage textures/japanc-ta/tatami.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none

	{
		map textures/japanc-ta/tatami.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/tenshi/black
{
	qer_editorimage textures/tenshi/black.tga
	surfaceparm trans

	{
		map textures/tenshi/black.tga
	}
	{
		map textures/effects/envmapbfg.tga
		blendfunc GL_ONE GL_ONE
		tcGen environment
	}
}

textures/tenshi/g
{
	qer_editorimage textures/tenshi/g_1.tga
	surfaceparm trans

	{
		map textures/tenshi/g_1.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
	}
}

textures/tenshi/glass
{

	{
		map textures/tenshi/glass.tga
		rgbGen identity
	}
	{
		map textures/tenshi/glass_fx.tga
		tcGen environment
		blendfunc add
	}
}

textures/tenshi/orx
{
	qer_editorimage textures/japanc-ta/or.tga
	surfaceparm trans

	{
		map textures/japanc-ta/or.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/effects/envmapyel.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
		tcmod scale .25 .25
		alphaGen lightingSpecular
	}
	{
		map textures/japanc-ta/or.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/tenshi/palm
{
	qer_editorimage textures/tenshi/palm.tga
	cull none
	surfaceparm nonsolid

	{
		map textures/tenshi/palm.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/tenshi/palm2
{
	qer_editorimage textures/tenshi/plante2.tga
	surfaceparm trans
	surfaceparm nonsolid
	cull none

	{
		map textures/tenshi/plante2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/tenshi/palm3
{
	qer_editorimage textures/tenshi/plant1.tga
	surfaceparm nonsolid
	cull none

	{
		map textures/tenshi/plant1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/tenshi/pano
{
	qer_editorimage textures/tenshi/pano.tga

	{
		map textures/tenshi/pano.tga
	}
}

textures/tenshi/s2
{
	qer_editorimage textures/tenshi/s2.tga
	surfaceparm trans

	{
		map textures/tenshi/s2.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
	}
}

textures/tenshi/s3
{
	qer_editorimage textures/tenshi/s3.tga
	surfaceparm trans

	{
		map textures/tenshi/s3.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
	}
}

textures/tenshi/s4
{
	qer_editorimage textures/tenshi/s4.tga
	surfaceparm trans

	{
		map textures/tenshi/s4.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
	}
}

textures/tenshi/sable
{
	qer_editorimage textures/tenshi/sable.tga
	surfaceparm trans
	surfaceparm nonsolid
	cull none

	{
		map textures/tenshi/sable.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/tenshi/sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture
	qer_editorimage textures/tenshi/sky_view.tga
	q3map_sun .75 .58 .42 70 235 60
	q3map_surfacelight 90
	q3map_lightsubdivide 256
	skyparms env/desert/c 128 -

	{
		map textures/tenshi/nuage2.tga
		blendfunc add
		tcMod scroll 0.01 0.02
	}
	{
		map textures/tenshi/nuage1.tga
		blendfunc add
		tcMod scroll 0.03 0.04
	}
}

textures/tenshi/toit
{
	qer_editorimage textures/tenshi/toi_dessus.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none

	{
		map textures/tenshi/toi_dessus.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/tenshi/xorb
{
	qer_editorimage textures/tenshi/xorb.tga
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm trans

	{
		map textures/tenshi/xorb.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
